Debian Bug report logs - #516198
avelsieve: Avelsieve fails to retrieve stored rules from dovecot

version graph

Package: avelsieve; Maintainer for avelsieve is Jan Hauke Rahm <jhr@debian.org>; Source for avelsieve is src:avelsieve.

Reported by: christian@arnold.schlittermann.de

Date: Thu, 19 Feb 2009 18:48:04 UTC

Severity: normal

Found in version avelsieve/1.9.7-6

Fixed in version avelsieve/1.9.7-8

Done: Jan Hauke Rahm <info@jhr-online.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Hauke Rahm <info@jhr-online.de>:
Bug#516198; Package avelsieve. (Thu, 19 Feb 2009 18:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to christian@arnold.schlittermann.de:
New Bug report received and forwarded. Copy sent to Jan Hauke Rahm <info@jhr-online.de>. (Thu, 19 Feb 2009 18:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Arnold <christian@arnold.schlittermann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: avelsieve: Avelsieve fails to retrieve stored rules from dovecot
Date: Thu, 19 Feb 2009 19:46:12 +0100
Package: avelsieve
Version: 1.9.7-6
Severity: normal


Avelsieve can store rules in dovecot but fails to retrieve them later. 

Patch is here.
http://www.rename-it.nl/dovecot/client-patches/avelsieve-1.9.7-dovecot.diff


-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-vserver-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages avelsieve depends on:
ii  debconf                       1.5.24     Debian configuration management sy
ii  squirrelmail                  2:1.4.15-4 Webmail for nuts

avelsieve recommends no packages.

Versions of packages avelsieve suggests:
pn  cyrus-imapd-2.2               <none>     (no description available)

-- debconf information:
* avelsieve/runconfig: true
  avelsieve/no_purge:




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Hauke Rahm <info@jhr-online.de>:
Bug#516198; Package avelsieve. (Thu, 19 Feb 2009 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jan Hauke Rahm" <info@jhr-online.de>:
Extra info received and forwarded to list. Copy sent to Jan Hauke Rahm <info@jhr-online.de>. (Thu, 19 Feb 2009 22:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 516198@bugs.debian.org (full text, mbox):

From: "Jan Hauke Rahm" <info@jhr-online.de>
To: christian@arnold.schlittermann.de, 516198@bugs.debian.org
Subject: Re: Bug#516198: avelsieve: Avelsieve fails to retrieve stored rules from dovecot
Date: Thu, 19 Feb 2009 23:28:32 +0100 (CET)
Hi Christian,

On Thu, 2009-02-19 at 7:46 pm, Christian Arnold wrote:
> Avelsieve can store rules in dovecot but fails to retrieve them later.
>
> Patch is here.
> http://www.rename-it.nl/dovecot/client-patches/avelsieve-1.9.7-dovecot.diff

I'm not 100% sure because I'm not at home and don't have reliable access
to the network and package information but I think this is fixed in the
version I uploaded to experimental a few weeks before we released lenny.
Please try that one if possible (there are no big code changes as you may
read in the changelog).
I'm gonna upload it to sid as soon as I get home in a week or so.

Hauke

PS: If you tested it and you're satisfied feel free to mark this bug as
fixed-in-version 1.9.7-8 (I think it is -8 in exp, isn't it?).





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#516198; Package avelsieve. (Sun, 01 Mar 2009 18:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <info@jhr-online.de>:
Extra info received and forwarded to list. (Sun, 01 Mar 2009 18:36:07 GMT) Full text and rfc822 format available.

Message #15 received at 516198@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <info@jhr-online.de>
To: christian@arnold.schlittermann.de, 516198@bugs.debian.org
Subject: Re: Bug#516198: avelsieve: Avelsieve fails to retrieve stored rules from dovecot
Date: Sun, 1 Mar 2009 19:34:45 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 19, 2009 at 11:28:32PM +0100, Jan Hauke Rahm wrote:
> Hi Christian,
> 
> On Thu, 2009-02-19 at 7:46 pm, Christian Arnold wrote:
> > Avelsieve can store rules in dovecot but fails to retrieve them later.
> >
> > Patch is here.
> > http://www.rename-it.nl/dovecot/client-patches/avelsieve-1.9.7-dovecot.diff
> 
> I'm not 100% sure because I'm not at home and don't have reliable access
> to the network and package information but I think this is fixed in the
> version I uploaded to experimental a few weeks before we released lenny.
> Please try that one if possible (there are no big code changes as you may
> read in the changelog).
> I'm gonna upload it to sid as soon as I get home in a week or so.

Since your URL leads to a 404 I assume that this bug is the same as
Ubuntu bug #259024 which I fixed in my last upload to experimental. I'm
preparing the upload to unstable now and I'm going to close this bug
then. If I'm wrong feel free to reopen the bug.

Hauke
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jan Hauke Rahm <info@jhr-online.de>:
You have taken responsibility. (Mon, 02 Mar 2009 07:51:06 GMT) Full text and rfc822 format available.

Notification sent to christian@arnold.schlittermann.de:
Bug acknowledged by developer. (Mon, 02 Mar 2009 07:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 516198-close@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <info@jhr-online.de>
To: 516198-close@bugs.debian.org
Subject: Bug#516198: fixed in avelsieve 1.9.7-8
Date: Mon, 02 Mar 2009 07:47:14 +0000
Source: avelsieve
Source-Version: 1.9.7-8

We believe that the bug you reported is fixed in the latest version of
avelsieve, which is due to be installed in the Debian FTP archive:

avelsieve_1.9.7-8.diff.gz
  to pool/main/a/avelsieve/avelsieve_1.9.7-8.diff.gz
avelsieve_1.9.7-8.dsc
  to pool/main/a/avelsieve/avelsieve_1.9.7-8.dsc
avelsieve_1.9.7-8_all.deb
  to pool/main/a/avelsieve/avelsieve_1.9.7-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 516198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Hauke Rahm <info@jhr-online.de> (supplier of updated avelsieve package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Feb 2009 21:44:00 +0100
Source: avelsieve
Binary: avelsieve
Architecture: source all
Version: 1.9.7-8
Distribution: unstable
Urgency: low
Maintainer: Jan Hauke Rahm <info@jhr-online.de>
Changed-By: Jan Hauke Rahm <info@jhr-online.de>
Description: 
 avelsieve  - Sieve mail filters plugin for SquirrelMail
Closes: 516198
Changes: 
 avelsieve (1.9.7-8) unstable; urgency=low
 .
   * Upload to sid
   * DM-Upload-Allowed: yes
 .
 avelsieve (1.9.7-7) experimental; urgency=low
 .
   * debian/rules: cleanup
   * debian/control: added ${misc:Depends}
   * New patch: Make it possible to delete last rule
   * New patch: Make avelsieve work properly with dovecot (Closes: #516198,
     LP: #259024)
Checksums-Sha1: 
 12fdff3402701460f84909eb6d750be46e2c0608 1511 avelsieve_1.9.7-8.dsc
 5b37f81cabe1acae99c2e0d300ba04be77105aec 12502 avelsieve_1.9.7-8.diff.gz
 2808e91aa7771aa8cb5e506f0086f769fe5a6a06 226460 avelsieve_1.9.7-8_all.deb
Checksums-Sha256: 
 ff65b5736cf2e3380ec012ae7edb0f52a25a551cfaaf1f41edc719748d790e21 1511 avelsieve_1.9.7-8.dsc
 b0941ac877b690c48a5f09b5040045e5bfadedf76e4b37ae85e179d9562c2e09 12502 avelsieve_1.9.7-8.diff.gz
 44a7667eb52dbe41edf3e05d8b87cb65f995dcdf984a863d6c17fca5298a01da 226460 avelsieve_1.9.7-8_all.deb
Files: 
 6e53dbdefede937d198377506b1a7121 1511 web optional avelsieve_1.9.7-8.dsc
 c040628b9d2fe1727c82af84371e0dbe 12502 web optional avelsieve_1.9.7-8.diff.gz
 d747b9bd54a527384ad2dbdbbf996dcb 226460 web optional avelsieve_1.9.7-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJJq422AAoJECIIoQCMVaAcyQAH/1RblBx9D5YdQBV/++1xuMpP
Z+tF60NwYiCqInsEwwL3Wep8gcsFgWN0DcOuIzSOoW5WiRrCmr/Kc5JahB1J2RuZ
8zhTd9PDcd8BdfX887FBrJaTb1gG2FR2aNJgIDWpbYbrFb0GuBKAxJCUFqRh+gQF
uZkALc/WSlCitFSuiavc38qCjN7jBRZDqVGkHKjvGVfGQoK7bUsYwLOFuyiEWK5Y
/HH/7gFvB7JZDbbyYTizU2G5so+M3Cmj59Og+hIJaqN65m6BQBnih+O75/Qo2u9t
BVdm7mE8PAVQ67vkcY2Gq9Or3/fHN+8WAgIohLRspghL9RRouXggf3wSllXAaXE=
=wrjV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Apr 2009 07:34:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:43:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.